## onesixtyone 0.3.3~git20190328

=== Makefile ===
onesixtyone: onesixtyone.c
	gcc -o onesixtyone onesixtyone.c

solaris: onesixtyone.c
	cc -o onesixtyone onesixtyone.c -lsocket -lnsl

clean:
	rm -rf onesixtyone

.PHONY: solaris clean

=== debian/changelog ===
onesixtyone (0.3.3~git20190328-2) unstable; urgency=medium

  * Add a patch to fix FTCBFS (Closes: #930902). Thanks to Helmut Grohne.

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Jul 2019 16:21:51 +0200

onesixtyone (0.3.3~git20190328-1) unstable; urgency=medium

  * New upstream version (Closes: #909298)
  * Update Homepage in debian/control
  * Add a debian/watch
  * Take over the package (Closes: #925958)
  * Add debian/source/format
  * Update packaging to use debhelper-compat 12
  * Remove useless debian/dirs
  * Update debian/docs
  * Update debian/copyright
  * Bump Standards-Version to 4.3.0 (change Priority to optional)
  * Add missing flags
  * Write a updated manpage

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Apr 2019 14:54:57 +0200

onesixtyone (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #459668)

 -- Jose Parrella <bureado@debian.org>  Wed, 19 Mar 2008 17:43:58 -0430

=== debian/control ===
Source: onesixtyone
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Homepage: https://github.com/trailofbits/onesixtyone
Vcs-Git: https://salsa.debian.org/pkg-security-team/onesixtyone.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/onesixtyone

Package: onesixtyone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast and simple SNMP scanner
 onesixtyone is a simple SNMP scanner which sends SNMP requests for the
 sysDescr value asynchronously with user-adjustable sending times and
 then logs the responses which gives the description of the software
 running on the device.
 .
 Running onesixtyone on a class B network (switched 100Mbs with 1Gbs
 backbone) with -w 10 gives a performance of 3 seconds per class C, with
 no dropped packets, and all 65536 IP addresses were scanned in less than
 13 minutes.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%onesixtyone-$1.tar.gz%" \
    https://github.com/trailofbits/onesixtyone/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## onesixtyone 0.3.4

=== Makefile ===
onesixtyone: onesixtyone.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -o onesixtyone onesixtyone.c

solaris: onesixtyone.c
	cc -o onesixtyone onesixtyone.c -lsocket -lnsl

clean:
	rm -rf onesixtyone

.PHONY: solaris clean

=== debian/changelog ===
onesixtyone (0.3.4-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Carlos Henrique Lima Melara ]
  * New upstream version 0.3.4
  * d/control:
    - bump Standards-Version to 4.6.2 - no changes needed
    - add 'Rules-Requires-Root: no' to source stanza
    - bump debhelper-compat level to 13
  * d/copyright: update packaging copyright information
  * d/onesixtyone.1: fix usage typo in manpage - cherry-picked from upstream
  * d/watch: update it to use uscan macros
  * d/s/lintian-overrides: override maintainer manpage - forwarded upstream
  * d/tests/*: provide CI tests for the package
  * d/patches: remove - merged upstream

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 06 Jan 2023 09:05:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/trailofbits/onesixtyone
 Vcs-Git: https://salsa.debian.org/pkg-security-team/onesixtyone.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/onesixtyone
@@ -22,4 +23,3 @@
  backbone) with -w 10 gives a performance of 3 seconds per class C, with
  no dropped packets, and all 65536 IP addresses were scanned in less than
  13 minutes.
-

=== debian/tests/control ===
Test-Command: onesixtyone 2>&1 | grep onesixtyone
Restrictions: superficial

Test-Command: onesixtyone 127.0.0.1 | grep '[public]'
Depends: @, snmpd

Test-Command: onesixtyone -c dict.txt 127.0.0.1 | grep '[public]'
Depends: @, snmpd

Tests: community-input-file.sh  ip-input-file.sh
Depends: @, snmpd

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@)(@ARCHIVE_EXT@)%onesixtyone-$2$3%" \
    https://github.com/trailofbits/onesixtyone/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
